Announcement

Collapse
No announcement yet.

BUild failed with voltdb community 6.9 and REHL 7.1

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • BUild failed with voltdb community 6.9 and REHL 7.1

    Hi,
    I'm trying to install voltdb community on Red Hat 7.1 machine. The machine has no Internet connection. So I copied the .zip into the machine.
    The required software (Java, Ant, GCC, Python, cmake, valgrind) are up to date.
    I did :
    sudo yum -y install ant ant-nodeps ant-junit ant-scripts ant-javadoc ant-trax \
    gcc gcc-c++ python valgrind ntp python26 git-all python-httplib2 \
    python-setuptools python-devel ccache cmake bzip2
    I just miss ant-nodeps and ant-trax packages.

    I can't find a solution for this issue:
    ee:
    ...
    [exec] In file included from b_sock.c:73:0:
    [exec] ../../include/openssl/dso.h:1:1: error: expected identifier or ‘(’ before ‘.’ token
    [exec] ../../crypto/dso/dso.h
    [exec] ^
    [exec] b_sock.c:572:12: error: static declaration of ‘get_ip’ follows non-static declaration
    [exec] static int get_ip(const char *str, unsigned char ip[4])
    [exec] ^
    [exec] b_sock.c:121:9: note: previous implicit declaration of ‘get_ip’ was here
    [exec] i = get_ip(str, ip);
    [exec] ^
    [exec] b_sock.c: In function ‘BIO_get_accept_socket’:
    [exec] b_sock.c:663:34: warning: assignment makes pointer from integer without a cast [enabled by default]
    [exec] if ((p_getaddrinfo.p = DSO_global_lookup("getaddrinfo")) == NULL
    [exec] ^
    [exec] b_sock.c:664:38: warning: assignment makes pointer from integer without a cast [enabled by default]
    [exec] || (p_freeaddrinfo.p =
    [exec] ^
    [exec] b_sock.c: In function ‘BIO_accept’:
    [exec] b_sock.c:886:34: warning: assignment makes pointer from integer without a cast [enabled by default]
    [exec] if ((p_getnameinfo.p = DSO_global_lookup("getnameinfo")) == NULL)
    [exec] ^
    [exec] make[3]: *** [b_sock.o] Error 1
    [exec] make[2]: *** [subdirs] Error 1
    [exec] make[1]: *** [build_crypto] Error 1
    [exec] make: *** [compile-openssl] Error 2
    [exec] make: Leaving directory `/opt/application/49mwas/voltdb-master/obj/release'
    [exec] Building with c++11
    [exec] Compiler: gcc 4.8.5
    [exec] OpenSSL: version 1.0.2d, config linux-x86_64:gcc -fpic
    [exec]
    [exec] Making in directory "obj/release/" with 1 threads

    BUILD FAILED
    /opt/application/49mwas/voltdb-master/build.xml:1599: exec returned: 255

    pbBuild.jpg

    thanks

  • #2
    Hi Fred,

    If you have "ant" installed, then you shouldn't need "ant-nodeps" or "ant-trax" (https://bugzilla.redhat.com/show_bug.cgi?id=1049271).

    We haven't released the SSL feature yet, so depending on when you downloaded from master, it's possible it was temporarily not building, or there could be a dependency that we haven't documented yet. Try downloading and building release 6.9, rather than master.

    https://github.com/VoltDB/voltdb/rel...tag/voltdb-6.9

    Thanks,
    Ben

    Comment


    • #3
      Hi Ben,

      thanks for your reply.

      I found the bug ... it was .zip. If you clone with git or download with .tar.gz, installation works.
      I tried with master release, 6.9 release and 6.8 release, all in .zip source, and each time I had the same issue.
      But with 6.9 release in tar.gz, build is ok.

      fred

      Comment


      • #4
        Hi,

        This is Bill White at VoltDB. I work on the SQL team, and have an interest in how Volt gets built. So, your question piqued my interest. As it turns out, I think this is a bug. Thanks for reporting it. I'll file a ticket for it.

        I don't think I've ever built the .zip file, but my expectation would be that it builds. Apparently my expectation does not match reality. There's no telling when it will be fixed, but at least it won't be forgotten.

        Thanks again.

        Comment


        • #5
          I just tried this on my U16.04 system. I downloaded the branch release-5.9.x and built it. I had no problems. So there may be some other problem.

          It's possible that we haven't tested with gcc 4.8.5.

          Comment


          • #6
            Hi Ben,

            I am working on a PC with windows and I use linux VM or no Internet connexion server to run voltdb. After having download voltdb.zip, I used a tool from windows to unzip and I pasted the new directory on linux. Every time, the build failed.
            But I try this morning to unzip directly in linux environement, and build works.
            I don't know if it's normal.

            Fred

            Comment


            • #7
              Hi Fred. That sounds normal to me. I suspect the issue is permissions and/or file types getting mangled when unpacking in Windows. If you really think there's a bug, we'll take a look at a log and tell you what we think.

              Comment


              • #8
                I think like you this is an issue of os compatibility. And I didn't realize until Ben's message.

                thanks

                Comment

                Working...
                X